Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.reflect
Interface ToManyProperty

All Superinterfaces:
  ArcProperty, Property

All Known Subinterfaces:
  ToManyMapProperty

All Known Implementing Classes:
  BaseToManyProperty

    public interface ToManyProperty

extends ArcProperty

A property representing a collection of objects.

Since:
  3.0

Method Summary
`void` | `addTarget(Object source, Object target, boolean setReverse)`
`void` | `addTargetDirectly(Object source, Object target)` Adds value to collection, without triggering changing events This method is mostly for internal use
`void` | `removeTarget(Object source, Object target, boolean setReverse)`
`void` | `removeTargetDirectly(Object source, Object target)` Removes value from collection, without triggering changing events This method is mostly for internal use

Methods inherited from interface org.apache.cayenne.reflect.ArcProperty
`getComplimentaryReverseArc, getRelationship, getTargetDescriptor, invalidate, isFault`

Methods inherited from interface org.apache.cayenne.reflect.Property
`getName, injectValueHolder, readProperty, readPropertyDirectly, visit, writeProperty, writePropertyDirectly`

Method Detail

### addTarget

    void addTarget(Object source,
                   Object target,
                   boolean setReverse)
                   throws PropertyException

  Throws:
    `PropertyException`

### removeTarget

    void removeTarget(Object source,
                      Object target,
                      boolean setReverse)
                      throws PropertyException

  Throws:
    `PropertyException`

### addTargetDirectly

    void addTargetDirectly(Object source,
                           Object target)
                           throws PropertyException

  Adds value to collection, without triggering changing events This method is mostly for internal use

  Throws:
    `PropertyException`
  Since:
    3.1

### removeTargetDirectly

    void removeTargetDirectly(Object source,
                              Object target)
                              throws PropertyException

  Removes value from collection, without triggering changing events This method is mostly for internal use

  Throws:
    `PropertyException`
  Since:
    3.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001–2014 Apache Cayenne. All rights reserved.